Permalink
Browse files

Bump Gemfile

  • Loading branch information...
tmtmtmtm committed Jan 3, 2017
1 parent 3c0c782 commit 22b94cc4b4956f9abaf72227dcb6598cd005f54b
Showing with 57 additions and 19 deletions.
  1. +22 −12 Gemfile
  2. +35 −7 Gemfile.lock
View
34 Gemfile
@@ -2,18 +2,28 @@
# specified here will be installed and made available to your morph.io scraper.
# Find out more: https://morph.io/documentation/ruby
source "https://rubygems.org"
ruby '2.0.0'
ruby "2.0.0"
source 'https://rubygems.org'
git_source(:github) { |repo_name| "https://github.com/#{repo_name}.git" }
gem "colorize"
gem "mediawiki_api"
gem "nokogiri"
gem "open-uri-cached"
gem "pry"
gem "rest-client"
gem "sqlite_magic", :git => "https://github.com/openc/sqlite_magic.git"
gem "scraperwiki", git: "https://github.com/openaustralia/scraperwiki-ruby.git", branch: "morph_defaults"
gem "wikidata-fetcher", '>=0.17.0', git: "https://github.com/everypolitician/wikidata-fetcher.git"
gem 'wikisnakker', git: 'https://github.com/everypolitician/wikisnakker', branch: 'master'
gem 'activesupport-inflector'
gem 'colorize'
gem 'i18n'
gem 'mediawiki_api'
gem 'nokogiri'
gem 'open-uri-cached'
gem 'pry'
gem 'rest-client'
gem 'scraperwiki', github: 'openaustralia/scraperwiki-ruby', branch: 'morph_defaults'
gem 'sqlite_magic', github: 'openc/sqlite_magic'
gem 'everypolitician', github: 'everypolitician/everypolitician-ruby'
gem 'wikidata-fetcher', '>=0.19.0', github: 'everypolitician/wikidata-fetcher'
gem 'wikisnakker', github: 'everypolitician/wikisnakker'
group :quality do
gem 'rubocop'
end
View
@@ -1,8 +1,16 @@
GIT
remote: https://github.com/everypolitician/everypolitician-ruby.git
revision: 20582b1512358a0e8789ea289201e37ab5f085c2
specs:
everypolitician (0.20.0)
everypolitician-popolo (>= 0.8.0)
require_all
GIT
remote: https://github.com/everypolitician/wikidata-fetcher.git
revision: cc464f2970dd6df5e4d8fe68d6ba344460a70c28
revision: 1ecdefcca690bc9a8205e4877968d07c52cc5dce
specs:
wikidata-fetcher (0.18.2)
wikidata-fetcher (0.19.0)
colorize
diskcached
json
@@ -14,9 +22,8 @@ GIT
wikidata-client (~> 0.0.7)
GIT
remote: https://github.com/everypolitician/wikisnakker
remote: https://github.com/everypolitician/wikisnakker.git
revision: cc55a4f45290c8ad86dc3e2a41ea678e02e3dd94
branch: master
specs:
wikisnakker (0.7.0)
@@ -39,12 +46,16 @@ GIT
GEM
remote: https://rubygems.org/
specs:
activesupport-inflector (0.1.0)
ast (2.3.0)
coderay (1.1.1)
colorize (0.8.1)
diskcached (1.1.2)
domain_name (0.5.20160826)
unf (>= 0.0.5, < 1.0.0)
excon (0.53.0)
everypolitician-popolo (0.8.0)
require_all
excon (0.54.0)
faraday (0.9.2)
multipart-post (>= 1.2, < 3)
faraday-cookie_jar (0.0.6)
@@ -56,6 +67,7 @@ GEM
http-cookie (1.0.3)
domain_name (~> 0.5)
httpclient (2.8.2.4)
i18n (0.7.0)
json (2.0.2)
mediawiki_api (0.7.0)
faraday (~> 0.9, >= 0.9.0)
@@ -71,20 +83,32 @@ GEM
nokogiri (1.6.8.1)
mini_portile2 (~> 2.1.0)
open-uri-cached (0.0.5)
parser (2.3.2.0)
ast (~> 2.2)
powerpack (0.1.1)
pry (0.10.4)
coderay (~> 1.1.0)
method_source (~> 0.8.1)
slop (~> 3.4)
rainbow (2.1.0)
require_all (1.3.3)
rest-client (2.0.0)
http-cookie (>= 1.0.2, < 2.0)
mime-types (>= 1.16, < 4.0)
netrc (~> 0.8)
rubocop (0.45.0)
parser (>= 2.3.1.1, < 3.0)
powerpack (~> 0.1)
rainbow (>= 1.99.1, < 3.0)
ruby-progressbar (~> 1.7)
unicode-display_width (~> 1.0, >= 1.0.1)
ruby-progressbar (1.8.1)
slop (3.6.0)
sqlite3 (1.3.12)
unf (0.1.4)
unf_ext
unf_ext (0.0.7.2)
unicode-display_width (1.1.1)
wikidata-client (0.0.10)
excon (~> 0.40)
faraday (~> 0.9)
@@ -95,19 +119,23 @@ PLATFORMS
ruby
DEPENDENCIES
activesupport-inflector
colorize
everypolitician!
i18n
mediawiki_api
nokogiri
open-uri-cached
pry
rest-client
rubocop
scraperwiki!
sqlite_magic!
wikidata-fetcher (>= 0.17.0)!
wikidata-fetcher (>= 0.19.0)!
wikisnakker!
RUBY VERSION
ruby 2.0.0p648
BUNDLED WITH
1.13.3
1.13.6

0 comments on commit 22b94cc

Please sign in to comment.